package mailer

import "fmt"

func (m *GraphMailer) SendPasswordResetMail(toEmail string, resetURL string) error {
	subject := "Parola Sıfırlama"

	html := fmt.Sprintf(`
		<p>Merhaba,</p>
		<p>Parolanızı sıfırlamak için aşağıdaki bağlantıya tıklayın:</p>
		<p>
		  <a href="%s">%s</a>
		</p>
		<p>Bu bağlantı <strong>30 dakika</strong> geçerlidir ve tek kullanımlıktır.</p>
	`, resetURL, resetURL)

	return m.SendMail(toEmail, subject, html)
}
